<?php

declare (strict_types=1);
namespace GuardDog\Vendor\Webauthn\ClientDataCollector;

use GuardDog\Vendor\Webauthn\AuthenticatorResponse;
use GuardDog\Vendor\Webauthn\CollectedClientData;
use GuardDog\Vendor\Webauthn\PublicKeyCredentialOptions;
interface ClientDataCollector
{
    /**
     * @return string[]
     */
    public function supportedTypes(): array;
    public function verifyCollectedClientData(CollectedClientData $collectedClientData, PublicKeyCredentialOptions $publicKeyCredentialOptions, AuthenticatorResponse $authenticatorResponse, string $host): void;
}
